
#include "pch.h"
#include "AZBKDumpView.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CAZBKDumpView
IMPLEMENT_DYNAMIC(CAZBKDumpView, CDocPaneDlgViewBase)

CAZBKDumpView::CAZBKDumpView(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}


CAZBKDumpView::~CAZBKDumpView()
    = default;

BEGIN_MESSAGE_MAP(CAZBKDumpView, CDocPaneDlgViewBase)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// обработчики сообщений CAZBKDumpView


void CAZBKDumpView::DisplayRegDump()
{
	if (IsVisible())
	{
		// выводим на экран данные
		m_Dlg.DisplayRegs();
	}
}

